import java.util.Scanner;

public class GCD {
  /** Znajdowanie NWD dla liczb całkowitych m i n */
  public static int gcd(int m, int n) {
    int gcd = 1;
    
    if (m % n == 0) return n;
    
    for (int k = n / 2; k >= 1; k--) {
      if (m % k == 0 && n % k == 0) {
        gcd = k;
        break;
      }
    }
    
    return gcd;
  }
  
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);
    
    // Prośba o podanie dwóch liczb całkowitych
    System.out.print("Podaj pierwszą liczbę całkowitą: ");
    int m = input.nextInt();
    System.out.print("Podaj drugą liczbę całkowitą: ");
    int n = input.nextInt();
    
    System.out.println("Największy wspólny dzielnik liczb " + m +
      " i " + n + ": " + gcd(m, n));
  }
}
